<template>
  <Tabs
    v-model="activeTab"
    :tabs="tabs"
  >
    <h2 slot="params">
      Params
    </h2>
    <h2 slot="questions">
      Questions
    </h2>
    <h2 slot="logic">
      Logic
    </h2>
    <h2 slot="conditions">
      Conditions
    </h2>
    <div slot="respondents">
      <RespondentsForm @filled="onRespondentsFilled" />
    </div>
  </Tabs>
</template>

<script>
import Tabs from '../../components/Tabs';
import RespondentsForm from '../../components/forms/RespondentsForm';

export default {
  name: 'QuizzesAddPage',
  components: { RespondentsForm, Tabs },
  fetch({ store }) {
    store.commit('common/setBreadcrumbs', [
      { key: 'quizzes', url: { name: 'quizzes' } },
      { key: 'quizzes-add', url: { name: 'quizzes-add' } },
    ]);
  },
  data() {
    return {
      tabs: ['params', 'questions', 'logic', 'conditions', 'respondents'],
      activeTab: 'respondents',
    };
  },
  methods: {
    onRespondentsFilled(model) {
      this.$store.dispatch('common/sendRespondentsForm', model);
    },
  },
};
</script>

<style lang="scss">

</style>
